Method: projects.locations.agent.sessions.contexts.delete

Deletes the specified context.

HTTP request

DELETE https://{endpoint}/v2beta1/{name=projects/*/locations/*/agent/sessions/*/contexts/*}

Where {endpoint} is one of the supported service endpoints.

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the context to delete. Supported formats: - projects//agent/sessions//contexts/, - projects//locations//agent/sessions//contexts/, - projects//agent/environments//users//sessions//contexts/, - projects//locations//agent/environments//users//sessions//contexts/,

If Location ID is not specified we assume default 'us' location. If Environment ID is not specified, we assume default 'draft' environment. If User ID is not specified, we assume default '-' user.

Authorization requires the following IAM permission on the specified resource name:

  • dialogflow.contexts.delete

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/dialogflow

For more information, see the Authentication Overview.